[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# TTarPermissions

Complete set of permissions for file

## Declaration

Source position: libtar.pp line 118

`type TTarPermissions = set of (`
`tpReadByOwner,` |  | Owner can read the file
`tpWriteByOwner,` |  | Owner can write the file
`tpExecuteByOwner,` |  | Owner can execute the file
`tpReadByGroup,` |  | Group can read the file
`tpWriteByGroup,` |  | Group can write the file
`tpExecuteByGroup,` |  | Group can execute the file
`tpReadByOther,` |  | Other people can read the file.
`tpWriteByOther,` |  | Other people can write the file
`tpExecuteByOther` |  | Other people can execute the file
`);`

## Description

TTarPermissions describes the complete set of permissions that a file has. It is used in the Permissions field of the TTarDirRec record.

## See also

TTarDirRec |  | Tar Directory entry
TFileType |  | File type
TTarModes |  | Full set of modes